Download it now!
Bug 62924 - Add additional lines into a log scale of charts (minor ticks)
Summary: Add additional lines into a log scale of charts (minor ticks)
Status: NEW
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Chart (show other bugs)
Version:
(earliest affected)
3.6.5.2 release
Hardware: Other All
: medium enhancement
Assignee: Not Assigned
URL:
Whiteboard: BSA
Keywords:
: 119701 (view as bug list)
Depends on:
Blocks: Chart-Enhancements
  Show dependency treegraph
 
Reported: 2013-03-30 05:36 UTC by bugquestcontri
Modified: 2019-01-08 14:06 UTC (History)
2 users (show)

See Also:
Crash report or crash signature:


Attachments
Example for minor Grid for logarithmic scale (23.29 KB, application/vnd.oasis.opendocument.spreadsheet)
2019-01-08 14:06 UTC, Regina Henschel
Details

Note You need to log in before you can comment on or make changes to this bug.
Description bugquestcontri 2013-03-30 05:36:46 UTC
Problem description: 
Currently the only lines visible in a log scale chart are 1, 10, 100,1000...

However to see better where are the values in between the orders of magnitude, additional lines are needed: 

Good examples are seen here:
http://sphaerula.com/legacy/R/logLogPlots.html
http://www.lhup.edu/~dsimanek/scenario/errorman/graphs2.htm

Following combinations of axes are needed for x-y
log-log
linear-log
log-linear

See also: http://ask.libreoffice.org/en/question/13181/how-do-i-display-labels-on-minor-grid-ticks/?comment=15413#comment-15413

In case of question I can be contacted.
Operating System: Windows XP
Version: 3.6.5.2 release
Comment 1 A (Andy) 2013-03-30 07:40:34 UTC
sounds interesting and good
Comment 2 QA Administrators 2015-02-19 15:31:54 UTC Comment hidden (obsolete)
Comment 3 Buovjaga 2015-03-06 13:38:49 UTC
Setting severity to enhancement.
Comment 4 Regina Henschel 2017-10-18 13:02:06 UTC
It is already possible to get the grid between two major lines. You only need to enable the minor grid.

To enable labels on minor ticks is valid request however.
Comment 5 Buovjaga 2018-09-24 18:38:29 UTC
*** Bug 119701 has been marked as a duplicate of this bug. ***
Comment 6 Buovjaga 2018-09-24 18:39:45 UTC
Example of semilogx: attachment 144677 [details]
Comment 7 Libomark 2019-01-08 01:45:14 UTC
You can change the major interval in the axis scale options:

0.30103 (=log10(2)) will give major marks on every multiple of 2 (as the number is not precise, you will need to format the scale to a fixed number of d.p.)

I note that the minor grid is 8 lines, 9 intervals between major grid lines drawn logarithmically, regardless of the choice of major interval.  This doesn't make sense: surely the starting point should be 9 lines, 10 intervals, or at least picking out intervening integers when a different major interval is set.  It may help to change the operation so that the major interval is the log10 of the number you input, rather than having to input the log10 explicitly.
Comment 8 Regina Henschel 2019-01-08 14:06:34 UTC
Created attachment 148128 [details]
Example for minor Grid for logarithmic scale

There is a problem, that it is not specified in ODF 1.2 how to build the minor grid. That is addressed in https://issues.oasis-open.org/browse/OFFICE-3936 and already resolved by adding new attributes.

The new attributes will be available in ODF 1.4. So any improvement in LibreOffice should do it in the way it will be specified. Of cause until ODF 1.4 is released and LibreOffice switches to it, the new attributes need to be in private namespace.